Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-62216

Raspberry Pi device qmake.conf uses incorrect .so names

    XMLWordPrintable

Details

    • Bug
    • Status: Reported
    • P2: Important
    • Resolution: Unresolved
    • 5.8.0, 5.9.1, Some future release
    • None
    • Build System
    • None

    Description

      With respect to the following:

      mkspecs/devices/linux-rasp-pi2-g++/qmake.conf

      mkspecs/devices/linux-rasp-pi3-g++/qmake.conf

      These device configurations should be updated to use libbrcmFOO.so instead of libFOO.so. The later names are deprecated and soon (ie in Raspbian Stretch) they will go away completely, leading to Qt being unable to find the EGL/GLES libraries.

      For the pi2 configuration the change should be something like this:

      -QMAKE_LIBS_EGL = -lEGL -lGLESv2
      -QMAKE_LIBS_OPENVG = -lEGL -lOpenVG -lGLESv2
      +QMAKE_LIBS_EGL = -lbrcmEGL -lbrcmGLESv2
      +QMAKE_LIBS_OPENGL_ES2 = -lbrcmEGL -lbrcmGLESv2
      +QMAKE_LIBS_OPENVG = -lbrcmEGL -lbrcmOpenVG -lbrcmGLESv2

      Apologies if I filed this under the wrong component.

      Attachments

        Issue Links

          No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

              lagocs Laszlo Agocs
              ali1234 Alistair Buxton
              Votes:
              3 Vote for this issue
              Watchers:
              10 Start watching this issue

              Dates

                Created:
                Updated:

                Gerrit Reviews

                  There are no open Gerrit changes